# fortune spits a random line of a file out to the channel
# vnfortune takes a file of phrases, seperated by a blank line, and 
# spits a random phrase to the channel.  (phrases can be multi-line)
# 
# CAUTION... both of these procedures are bound to the same public thing.

proc vnfortune {nick uhost handle args} {
	global channel
	set f [open vnfortune.txt r]
	seek $f 0 end
	set end [tell $f]
	seek $f [rand $end] 
	set done 0
	while {$done==0} {
		set eoff [gets $f line]
		if { $eoff != -1 } {
			if { [string length $line] == 0 } {
				set done 1
			} {
#				putlog "throwing out $line"
			}
		} {
			set done 1
		}
	}
	if {[eof $f]} {
		seek $f 0
		}
	set done 0
	while { $done == 0 } {
		set eoff [gets $f line]
		if { $eoff != -1 } {
			if { [string length $line] == 0 } {
				set done 1
			} {
				putserv "PRIVMSG $channel :$line"
			}
		} {
			set done 1
		}
	}
	close $f
}

bind pub - !fortune vnfortune
